Get Consents at Bank
GET /obp/v7.0.0/management/consents/banks/BANK_ID
OBPv5.1.0-getConsentsAtBank Roles: CanGetConsentsAtOneBank(per bank),CanGetConsentsAtAnyBank ConsentAccount Information Service (AIS)PSD2
This endpoint gets the Consents at Bank by BANK_ID.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
1 limit (for pagination: defaults to 50) eg:limit=200
2 offset (for pagination: zero index, defaults to 0) eg: offset=10
3 consumer_id (ignore if omitted)
4 user_id (ignore if omitted)
5 status (ignore if omitted)
eg: /management/consents/banks/BANK_ID?&consumer_id=78&limit=10&offset=10
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (46)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- api_standard
- api_standard
- api_version
- aud
- String
- bank_id
- gh.29.uk
- consent_reference_id
- fd13b9af-4f74-4d52-a7f1-7c2c12f3aa11
- consents
- consumer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- counterparty_ids
- counterparty_ids
- createdByUserId
- createdByUserId
- created_by_user_id
- entitlements
- exp
- 60
- iat
- 60
- iss
- String
- jti
- String
- jwt_payload
- jwt_payload
- last_action_date
- last_action_date
- last_usage_date
- last_usage_date
- name
- ACCOUNT_MANAGEMENT_FEE
- nbf
- 60
- note
- note
- number_of_rows
- number_of_rows
- request_headers
- request_headers
- role_name
- status
- sub
- felixsmith
- values
- values
- view_id
- owner
- views
- access
- access
- accounts
- availableAccounts
- availableAccounts
- balances
- balances
- bban
- bban
- currency
- EUR
- felixsmith@example.com
- helper_info
- helper_info
- iban
- DE91 1000 0000 0123 4567 89
- maskedPan
- maskedPan
- msisdn
- msisdn
- name
- ACCOUNT_MANAGEMENT_FEE
- pan
- pan
- provider
- ETHEREUM
- provider_id
- transactions
Example success response
{
"number_of_rows": 1,
"consents": [
{
"consent_reference_id": "fd13b9af-4f74-4d52-a7f1-7c2c12f3aa11",
"consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"provider": "http://127.0.0.1:8080",
"provider_id": "",
"status": "INITIATED",
"last_action_date": "2020-01-27",
"last_usage_date": "2021-04-08T09:12:27Z",
"jwt_payload": {
"createdByUserId": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"sub": "felixsmith",
"iss": "String",
"aud": "String",
"jti": "String",
"iat": 60,
"nbf": 60,
"exp": 60,
"request_headers": [
{
"name": "tags",
"values": [
"static"
]
}
],
"name": "ACCOUNT_MANAGEMENT_FEE",
"email": "felixsmith@example.com",
"entitlements": [
{
"role_name": "",
"bank_id": "gh.29.uk"
}
],
"views": [
{
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"view_id": "owner",
"helper_info": {
"counterparty_ids": [
"9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
]
}
}
],
"access": {
"accounts": [
{
"iban": "DE91 1000 0000 0123 4567 89",
"bban": "BARC12345612345678",
"pan": "5409050000000000",
"maskedPan": "123456xxxxxx1234",
"msisdn": "+49 170 1234567",
"currency": "EUR"
}
],
"balances": [
{
"iban": "DE91 1000 0000 0123 4567 89",
"bban": "BARC12345612345678",
"pan": "5409050000000000",
"maskedPan": "123456xxxxxx1234",
"msisdn": "+49 170 1234567",
"currency": "EUR"
}
],
"transactions": [
{
"iban": "DE91 1000 0000 0123 4567 89",
"bban": "BARC12345612345678",
"pan": "5409050000000000",
"maskedPan": "123456xxxxxx1234",
"msisdn": "+49 170 1234567",
"currency": "EUR"
}
],
"availableAccounts": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
}
},
"api_standard": "Berlin Group",
"api_version": "v1.3",
"note": "Tue, 15 Jul 2025 19:16:22\n|---> Changed status from received to rejected for consent ID: 398"
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: